/**
 * Attaches the Drupal behavior.
 */
(function($) {

  // Attach behaviors to Drupal
  Drupal.behaviors.totem_user = {
    attach : function(context, settings) {

      // Show/hide own profile fields on Overview screen.
      Drupal.behaviors.totem_user.toggleOwnProfile(context, settings);

    },
    toggleOwnProfile : function(context, settings) {

      var link = $('body.page-user a.toggle-profile-fields', context);
      if (link.length) {
        link.click(function(evt) {
          evt.preventDefault();

          var fields = $('body.page-user .user-profile.self', context);
          if (!fields.is(':visible')) {
            fields.slideDown(400, function() {
              link.text('Hide profile');
            });
            totem_common.util.scrollToTop(false, fields);
          }
          else {
            fields.fadeOut(400, function() {
              link.text('View profile');
            });
          }
        });
      }

    }
  };

})(jQuery);
